Bug 1341283 (lukasreschke/id3parser) - Review Request: php-lukasreschke-id3parser - ID3 parser library
Summary: Review Request: php-lukasreschke-id3parser - ID3 parser library
Keywords:
Status: CLOSED ERRATA
Alias: lukasreschke/id3parser
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: James Hogarth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-31 16:56 UTC by Remi Collet
Modified: 2016-06-21 21:49 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-13 20:55:41 UTC
james.hogarth: fedora-review+


Attachments (Terms of Use)

Description Remi Collet 2016-05-31 16:56:53 UTC
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/f4bf181f60fadcf6023c3e412810c7ad7a184c7d/php/php-lukasreschke-id3parser/php-lukasreschke-id3parser.spec
SRPM URL: http://rpms.remirepo.net/SRPMS/php-lukasreschke-id3parser-0.0.1-1.remi.src.rpm
Description: 
This is a pure ID3 parser based upon getID3.
It supports the following ID3 versions inside MP3 files:

* ID3v1 (v1.0 & v1.1)
* ID3v2 (v2.2, v2.3 & v2.4)

Autoloader: %{_datadir}/php/%{gh_project}/autoload.php




Fedora Account System Username: remi

---

For owncloud 9.1

Comment 1 James Hogarth 2016-06-01 09:09:02 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== Issues ====

  * EL5 boilerplate in spec
    - Remove all the EL5 rm -rf %{buildroot}, %defattr, group, etc stuff in spec
  * rpmlint error: E: explicit-lib-dependency php-zlib
    - The auto dependency generator doesn't get this so this is a false positive 

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 8 files have unknown license. Detailed
     output of licensecheck in /home/james/workspace/fedora-scm/1341283
     -php-lukasreschke-id3parser/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[x]: Sources contain only permissible code or content.
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.

PHP:
[x]: Run phpci static analyze on all php files.
     Note: phpCompatInfo version 5.0.0 DB built May 29 2016 15:12:58 CEST
     static analyze results in /home/james/workspace/fedora-scm/1341283
     -php-lukasreschke-id3parser/phpci.log


Rpmlint
-------
Checking: php-lukasreschke-id3parser-0.0.1-1.fc25.noarch.rpm
          php-lukasreschke-id3parser-0.0.1-1.fc25.src.rpm
php-lukasreschke-id3parser.noarch: E: explicit-lib-dependency php-zlib
php-lukasreschke-id3parser.noarch: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
php-lukasreschke-id3parser.src: W: spelling-error %description -l en_US usr -> use, us, user
php-lukasreschke-id3parser.src: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
2 packages and 0 specfiles checked; 1 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
php-lukasreschke-id3parser.noarch: E: explicit-lib-dependency php-zlib
php-lukasreschke-id3parser.noarch: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
1 packages and 0 specfiles checked; 1 errors, 1 warnings.



Requires
--------
php-lukasreschke-id3parser (rpmlib, GLIBC filtered):
    php(language)
    php-date
    php-iconv
    php-pcre
    php-xml
    php-zlib



Provides
--------
php-lukasreschke-id3parser:
    php-composer(lukasreschke/id3parser)
    php-lukasreschke-id3parser



Source checksums
----------------
https://github.com/LukasReschke/ID3Parser/archive/cd3ba6e8918cc30883f01a3c24281cfe23b8877a/ID3Parser-0.0.1-cd3ba6e.tar.gz :
  CHECKSUM(SHA256) this package     : a6faabf208d117d2fc79da319728a8b4bbab6666889f21087ababa651ca23e57
  CHECKSUM(SHA256) upstream package : a6faabf208d117d2fc79da319728a8b4bbab6666889f21087ababa651ca23e57


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1341283
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6


===== Result =====

APPROVED with the EL5 stuff removed

Comment 2 Remi Collet 2016-06-01 09:13:27 UTC
Thanks for the fast review.


SCM request open on pkgdb (with you as co-owner)

Comment 3 Gwyn Ciesla 2016-06-03 16:36:22 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/php-lukasreschke-id3parser

Comment 4 Fedora Update System 2016-06-03 17:06:15 UTC
php-lukasreschke-id3parser-0.0.1-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3156705505

Comment 5 Fedora Update System 2016-06-03 17:06:21 UTC
php-lukasreschke-id3parser-0.0.1-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b467a790cf

Comment 6 Fedora Update System 2016-06-03 17:06:26 UTC
php-lukasreschke-id3parser-0.0.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-90321c0ca4

Comment 7 Fedora Update System 2016-06-03 17:06:30 UTC
php-lukasreschke-id3parser-0.0.1-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-c64b5873f4

Comment 8 Fedora Update System 2016-06-04 18:25:56 UTC
php-lukasreschke-id3parser-0.0.1-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b467a790cf

Comment 9 Fedora Update System 2016-06-05 03:58:13 UTC
php-lukasreschke-id3parser-0.0.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-90321c0ca4

Comment 10 Fedora Update System 2016-06-05 07:51:14 UTC
php-lukasreschke-id3parser-0.0.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-c64b5873f4

Comment 11 Fedora Update System 2016-06-05 07:53:30 UTC
php-lukasreschke-id3parser-0.0.1-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3156705505

Comment 12 Fedora Update System 2016-06-13 20:55:39 UTC
php-lukasreschke-id3parser-0.0.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2016-06-13 21:21:44 UTC
php-lukasreschke-id3parser-0.0.1-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2016-06-18 18:45:39 UTC
php-lukasreschke-id3parser-0.0.1-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2016-06-21 21:49:21 UTC
php-lukasreschke-id3parser-0.0.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.